'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var PropTypes = _interopDefault(require('prop-types'));
var styled = require('styled-components');
var styled__default = _interopDefault(styled);

var _extends = Object.assign || function (target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = arguments[i];

    for (var key in source) {
      if (Object.prototype.hasOwnProperty.call(source, key)) {
        target[key] = source[key];
      }
    }
  }

  return target;
};

var slicedToArray = function () {
  function sliceIterator(arr, i) {
    var _arr = [];
    var _n = true;
    var _d = false;
    var _e = undefined;

    try {
      for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
        _arr.push(_s.value);

        if (i && _arr.length === i) break;
      }
    } catch (err) {
      _d = true;
      _e = err;
    } finally {
      try {
        if (!_n && _i["return"]) _i["return"]();
      } finally {
        if (_d) throw _e;
      }
    }

    return _arr;
  }

  return function (arr, i) {
    if (Array.isArray(arr)) {
      return arr;
    } else if (Symbol.iterator in Object(arr)) {
      return sliceIterator(arr, i);
    } else {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }
  };
}();

var taggedTemplateLiteral = function (strings, raw) {
  return Object.freeze(Object.defineProperties(strings, {
    raw: {
      value: Object.freeze(raw)
    }
  }));
};

var toConsumableArray = function (arr) {
  if (Array.isArray(arr)) {
    for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) arr2[i] = arr[i];

    return arr2;
  } else {
    return Array.from(arr);
  }
};

var _templateObject = taggedTemplateLiteral(['\n  ', '\n'], ['\n  ', '\n']),
    _templateObject2 = taggedTemplateLiteral(['\n    font-size: ', ';\n    background: ', ';\n    border-radius: ', ';\n    box-shadow: ', ';\n    display: flex;\n    flex-direction: column;\n    position: relative;\n    height: 100%;\n    header {\n      color: ', ';\n      padding: ', ';\n      border-bottom: 1px solid ', ';\n      border-top-left-radius: ', ';\n      border-top-right-radius: ', ';\n      font-weight: ', ';\n    }\n\n    .scrollable {\n      overflow: auto;\n      flex: 1;\n    }\n\n    .messages {\n      padding: ', ';\n      overflow-y: auto;\n      overflow-x: hidden;\n      display: flex;\n      flex-shrink: 0;\n      flex-direction: column;\n    }\n\n    .no-messages {\n      font-size: 0.875rem;\n      text-align: center;\n    }\n\n    ', '\n    ', '\n  '], ['\n    font-size: ', ';\n    background: ', ';\n    border-radius: ', ';\n    box-shadow: ', ';\n    display: flex;\n    flex-direction: column;\n    position: relative;\n    height: 100%;\n    header {\n      color: ', ';\n      padding: ', ';\n      border-bottom: 1px solid ', ';\n      border-top-left-radius: ', ';\n      border-top-right-radius: ', ';\n      font-weight: ', ';\n    }\n\n    .scrollable {\n      overflow: auto;\n      flex: 1;\n    }\n\n    .messages {\n      padding: ', ';\n      overflow-y: auto;\n      overflow-x: hidden;\n      display: flex;\n      flex-shrink: 0;\n      flex-direction: column;\n    }\n\n    .no-messages {\n      font-size: 0.875rem;\n      text-align: center;\n    }\n\n    ', '\n    ', '\n  ']),
    _templateObject3 = taggedTemplateLiteral(['\n        header {\n          background-color: ', ';\n          color: ', ';\n        }\n        ', ' button.btn {\n          background-color: ', ';\n          ', '\n        }\n      '], ['\n        header {\n          background-color: ', ';\n          color: ', ';\n        }\n        ', ' button.btn {\n          background-color: ', ';\n          ', '\n        }\n      ']),
    _templateObject4 = taggedTemplateLiteral(['\n              border: 1px solid ', ';\n              color: ', ';\n            '], ['\n              border: 1px solid ', ';\n              color: ', ';\n            ']),
    _templateObject5 = taggedTemplateLiteral(['\n    display: flex;\n    flex-direction: column;\n    padding: ', ';\n    border-top: 1px solid ', ';\n    .message-row {\n      flex-direction: row;\n      display: flex;\n    }\n    input {\n      flex: 1;\n      padding: 1.25rem 1.5rem;\n      border-radius: 2rem;\n      border: 1px solid ', ';\n      background: ', ';\n      color: ', ';\n      outline: none;\n      box-sizing: border-box;\n      ', ' \n      &::placeholder {\n        color: ', ';\n      }\n    }\n\n    button.btn {\n      border-radius: 3rem;\n      border-top-', '-radius: 0;\n      border-bottom-', '-radius: 0;\n      padding: 0 1.5rem;\n\n      ', '\n    }\n\n    ', ' \n\n    .dropped-files {\n      display: flex;\n      flex-direction: row;\n      margin-bottom: 0.5rem;\n      flex-wrap: wrap;\n\n      div {\n        background-size: cover;\n        width: 3rem;\n        height: 3rem;\n        border-radius: 0.5rem;\n        margin-', ': 0.5rem;\n        margin-bottom: 0.5rem;\n        border: 1px solid ', ';\n        text-align: center;\n        line-height: 3rem;\n        font-size: 2rem;\n        color: ', ';\n        position: relative;\n\n        .remove {\n          position: absolute;\n          right: -0.5rem;\n          top: -0.875rem;\n          font-size: 0.875rem;\n          line-height: 1;\n          cursor: pointer;\n        }\n      }\n    }\n  '], ['\n    display: flex;\n    flex-direction: column;\n    padding: ', ';\n    border-top: 1px solid ', ';\n    .message-row {\n      flex-direction: row;\n      display: flex;\n    }\n    input {\n      flex: 1;\n      padding: 1.25rem 1.5rem;\n      border-radius: 2rem;\n      border: 1px solid ', ';\n      background: ', ';\n      color: ', ';\n      outline: none;\n      box-sizing: border-box;\n      ', ' \n      &::placeholder {\n        color: ', ';\n      }\n    }\n\n    button.btn {\n      border-radius: 3rem;\n      border-top-', '-radius: 0;\n      border-bottom-', '-radius: 0;\n      padding: 0 1.5rem;\n\n      ', '\n    }\n\n    ', ' \n\n    .dropped-files {\n      display: flex;\n      flex-direction: row;\n      margin-bottom: 0.5rem;\n      flex-wrap: wrap;\n\n      div {\n        background-size: cover;\n        width: 3rem;\n        height: 3rem;\n        border-radius: 0.5rem;\n        margin-', ': 0.5rem;\n        margin-bottom: 0.5rem;\n        border: 1px solid ', ';\n        text-align: center;\n        line-height: 3rem;\n        font-size: 2rem;\n        color: ', ';\n        position: relative;\n\n        .remove {\n          position: absolute;\n          right: -0.5rem;\n          top: -0.875rem;\n          font-size: 0.875rem;\n          line-height: 1;\n          cursor: pointer;\n        }\n      }\n    }\n  ']),
    _templateObject6 = taggedTemplateLiteral(['\n        border-top-', '-radius: 0;\n        border-bottom-', '-radius: 0;\n      '], ['\n        border-top-', '-radius: 0;\n        border-bottom-', '-radius: 0;\n      ']),
    _templateObject7 = taggedTemplateLiteral(['\n          font-size: 3rem;\n          line-height: 1;\n          padding: 0 1.25rem 0 0.875rem;\n          text-align: center;\n        '], ['\n          font-size: 3rem;\n          line-height: 1;\n          padding: 0 1.25rem 0 0.875rem;\n          text-align: center;\n        ']),
    _templateObject8 = taggedTemplateLiteral(['\n        input {\n          border: 1px dashed ', ';\n          box-shadow: 0 0 0 4px ', ';\n          &::placeholder {\n            color: ', ';\n          }\n        }\n      '], ['\n        input {\n          border: 1px dashed ', ';\n          box-shadow: 0 0 0 4px ', ';\n          &::placeholder {\n            color: ', ';\n          }\n        }\n      ']),
    _templateObject9 = taggedTemplateLiteral(['\n    margin-bottom: 1.5rem;\n    display: flex;\n    flex-direction: row;\n    .message {\n      flex: 1;\n    }\n    .avatar {\n      border-radius: 50%;\n      flex-shrink: 0;\n      background: ', ';\n      background-position: center;\n      background-size: 3.4rem 2.6rem;\n      background-repeat: no-repeat;\n      width: 2.5rem;\n      height: 2.5rem;\n      text-align: center;\n      line-height: 2.5rem;\n      font-size: 0.875rem;\n      color: white;\n    }\n    ', '\n  '], ['\n    margin-bottom: 1.5rem;\n    display: flex;\n    flex-direction: row;\n    .message {\n      flex: 1;\n    }\n    .avatar {\n      border-radius: 50%;\n      flex-shrink: 0;\n      background: ', ';\n      background-position: center;\n      background-size: 3.4rem 2.6rem;\n      background-repeat: no-repeat;\n      width: 2.5rem;\n      height: 2.5rem;\n      text-align: center;\n      line-height: 2.5rem;\n      font-size: 0.875rem;\n      color: white;\n    }\n    ', '\n  ']),
    _templateObject10 = taggedTemplateLiteral(['\n      flex-direction: row-reverse;\n      .message {\n        margin-left: 0;\n        margin-', ': 0.5rem;\n        margin-', ': 3rem;\n      }\n      ', ' {\n        align-items: flex-end;\n        .sender {\n          text-align: ', ';\n        }\n        .text {\n          border-top-', '-radius: 0;\n          background: ', ';\n          color: ', ';\n        }\n      }\n      ', ' {\n        align-items: flex-end;\n      }\n    '], ['\n      flex-direction: row-reverse;\n      .message {\n        margin-left: 0;\n        margin-', ': 0.5rem;\n        margin-', ': 3rem;\n      }\n      ', ' {\n        align-items: flex-end;\n        .sender {\n          text-align: ', ';\n        }\n        .text {\n          border-top-', '-radius: 0;\n          background: ', ';\n          color: ', ';\n        }\n      }\n      ', ' {\n        align-items: flex-end;\n      }\n    ']),
    _templateObject11 = taggedTemplateLiteral(['\n      .message {\n        margin-', ': 0.5rem;\n        margin-', ': 3rem;\n      }\n      ', ' {\n        align-items: flex-start;\n        .text {\n          border-top-', '-radius: 0;\n          background: ', ';\n          color: ', ';\n        }\n      }\n      ', ' {\n        align-items: flex-start;\n      }\n    '], ['\n      .message {\n        margin-', ': 0.5rem;\n        margin-', ': 3rem;\n      }\n      ', ' {\n        align-items: flex-start;\n        .text {\n          border-top-', '-radius: 0;\n          background: ', ';\n          color: ', ';\n        }\n      }\n      ', ' {\n        align-items: flex-start;\n      }\n    ']),
    _templateObject12 = taggedTemplateLiteral(['\n    display: flex;\n    flex-direction: column;\n    .sender {\n      font-size: 0.875rem;\n      color: ', ';\n      margin-bottom: 0.5rem;\n    }\n    p {\n      word-wrap: break-word;\n      word-break: break-all;\n      max-width: 100%;\n      margin: 0;\n    }\n    .text {\n      padding: 1rem;\n      border-radius: 0.5rem;\n    }\n  '], ['\n    display: flex;\n    flex-direction: column;\n    .sender {\n      font-size: 0.875rem;\n      color: ', ';\n      margin-bottom: 0.5rem;\n    }\n    p {\n      word-wrap: break-word;\n      word-break: break-all;\n      max-width: 100%;\n      margin: 0;\n    }\n    .text {\n      padding: 1rem;\n      border-radius: 0.5rem;\n    }\n  ']),
    _templateObject13 = taggedTemplateLiteral(['\n    display: flex;\n    flex-direction: column;\n    a {\n      color: ', ';\n      background: ', ';\n      font-size: 4rem;\n      text-align: center;\n      border: 1px solid ', ';\n      width: 10rem;\n      height: 10rem;\n      overflow: hidden;\n      display: flex;\n      justify-content: center;\n      align-items: center;\n      flex-shrink: 0;\n      border-radius: 0.5rem;\n      &:hover,\n      &:focus {\n        text-decoration: none;\n        color: ', ';\n      }\n      div {\n        background-size: cover;\n        width: 100%;\n        height: 100%;\n      }\n    }\n    ', ' {\n      display: block;\n      margin-bottom: 0.5rem;\n    }\n    .message-content-group {\n      display: flex;\n      flex-direction: row;\n      justify-content: flex-end;\n      flex-wrap: wrap;\n      a {\n        margin-', ': 1rem;\n        margin-bottom: 1rem;\n        width: 5rem;\n        height: 5rem;\n      }\n    }\n  '], ['\n    display: flex;\n    flex-direction: column;\n    a {\n      color: ', ';\n      background: ', ';\n      font-size: 4rem;\n      text-align: center;\n      border: 1px solid ', ';\n      width: 10rem;\n      height: 10rem;\n      overflow: hidden;\n      display: flex;\n      justify-content: center;\n      align-items: center;\n      flex-shrink: 0;\n      border-radius: 0.5rem;\n      &:hover,\n      &:focus {\n        text-decoration: none;\n        color: ', ';\n      }\n      div {\n        background-size: cover;\n        width: 100%;\n        height: 100%;\n      }\n    }\n    ', ' {\n      display: block;\n      margin-bottom: 0.5rem;\n    }\n    .message-content-group {\n      display: flex;\n      flex-direction: row;\n      justify-content: flex-end;\n      flex-wrap: wrap;\n      a {\n        margin-', ': 1rem;\n        margin-bottom: 1rem;\n        width: 5rem;\n        height: 5rem;\n      }\n    }\n  ']),
    _templateObject14 = taggedTemplateLiteral(['\n    p.quote {\n      font-style: italic;\n      font-size: 0.875rem;\n      background: ', ';\n      color: ', ';\n      padding: 1rem;\n      border-radius: 0.5rem;\n      margin-bottom: 0.5rem;\n    }\n    .sender {\n      font-size: 0.875rem;\n      color: ', ';\n      margin-bottom: 0.5rem;\n    }\n  '], ['\n    p.quote {\n      font-style: italic;\n      font-size: 0.875rem;\n      background: ', ';\n      color: ', ';\n      padding: 1rem;\n      border-radius: 0.5rem;\n      margin-bottom: 0.5rem;\n    }\n    .sender {\n      font-size: 0.875rem;\n      color: ', ';\n      margin-bottom: 0.5rem;\n    }\n  ']);

var ChatStyle = styled__default.div(_templateObject, function (_ref) {
  var theme = _ref.theme,
      size = _ref.size,
      status = _ref.status;
  return styled.css(_templateObject2, theme.chatFontSize, theme.chatBg, theme.chatBorderRadius, theme.chatShadow, theme.chatFg, theme.chatPadding, theme.chatSeparator, theme.chatBorderRadius, theme.chatBorderRadius, theme.fontWeightBolder, theme.chatPadding, size && 'height: ' + theme['chatHeight' + size] + ';', status && styled.css(_templateObject3, theme['chat' + status + 'Bg'], theme['chat' + status + 'Fg'], FormStyle, theme['chat' + status + 'Bg'], status === 'Disabled' && styled.css(_templateObject4, theme.chatFormBorder, theme.chatDisabledFg)));
});

var FormStyle = styled__default.div(_templateObject, function (_ref2) {
  var theme = _ref2.theme,
      fileOver = _ref2.fileOver,
      showButton = _ref2.showButton,
      buttonIcon = _ref2.buttonIcon;
  return styled.css(_templateObject5, theme.chatPadding, theme.chatSeparator, theme.chatFormBorder, theme.chatFormBg, theme.chatFormFg, showButton && styled.css(_templateObject6, theme.dir === 'rtl' ? 'left' : 'right', theme.dir === 'rtl' ? 'left' : 'right'), theme.chatFormPlaceholderFg, theme.dir === 'rtl' ? 'right' : 'left', theme.dir === 'rtl' ? 'right' : 'left', buttonIcon && styled.css(_templateObject7), fileOver && styled.css(_templateObject8, theme.chatFormActiveBorder, theme.chatFormBg, theme.chatFormFg), theme.dir === 'rtl' ? 'left' : 'right', theme.chatFormFg, theme.chatFormFg);
});

var MessageStyle = styled__default.div(_templateObject, function (_ref3) {
  var theme = _ref3.theme,
      reply = _ref3.reply;
  return styled.css(_templateObject9, theme.chatMessageAvatarBg, reply ? styled.css(_templateObject10, theme.dir === 'rtl' ? 'left' : 'right', theme.dir === 'rtl' ? 'right' : 'left', MessageTextStyle, theme.dir === 'rtl' ? 'left' : 'right', theme.dir === 'rtl' ? 'left' : 'right', theme.chatMessageReplyBg, theme.chatMessageReplyFg, MessageFileStyle) : styled.css(_templateObject11, theme.dir === 'rtl' ? 'right' : 'left', theme.dir === 'rtl' ? 'left' : 'right', MessageTextStyle, theme.dir === 'rtl' ? 'right' : 'left', theme.chatMessageBg, theme.chatMessageFg, MessageFileStyle));
});

var MessageTextStyle = styled__default.div(_templateObject, function (_ref4) {
  var theme = _ref4.theme;
  return styled.css(_templateObject12, theme.chatMessageSenderFg);
});

var MessageFileStyle = styled__default.div(_templateObject, function (_ref5) {
  var theme = _ref5.theme;
  return styled.css(_templateObject13, theme.chatMessageFileFg, theme.chatMessageFileBg, theme.chatMessageFileFg, theme.chatMessageFileFg, MessageTextStyle, theme.dir === 'rtl' ? 'left' : 'right');
});

var MessageQuoteStyle = styled__default.div(_templateObject, function (_ref6) {
  var theme = _ref6.theme;
  return styled.css(_templateObject14, theme.chatMessageQuoteBg, theme.chatMessageQuoteFg, theme.chatMessageSenderFg);
});

function MessageText(props) {
  return React__default.createElement(
    MessageTextStyle,
    null,
    (props.sender || props.date) && React__default.createElement(
      'p',
      { className: 'sender' },
      props.sender,
      ' ',
      React__default.createElement(
        'time',
        null,
        props.date
      )
    ),
    props.message && React__default.createElement(
      'p',
      { className: 'text' },
      ' ',
      props.message
    )
  );
}

function MessageFile(props) {
  var isImages = function isImages(file) {
    return ['image/png', 'image/jpeg', 'image/gif'].includes(file.type);
  };
  var readyFiles = function readyFiles() {
    return props.files.map(function (file) {
      var isImage = isImages(file);
      return _extends({}, file, {
        urlStyle: isImage && 'url(' + file.url + ')',
        isImage: isImage
      });
    });
  };

  return React__default.createElement(
    MessageFileStyle,
    null,
    React__default.createElement(MessageText, {
      sender: props.sender,
      message: props.message,
      date: props.date
    }),
    readyFiles().length > 1 ? React__default.createElement(
      'div',
      { className: 'message-content-group' },
      readyFiles().map(function (file, index) {
        return React__default.createElement(
          'a',
          {
            key: index,
            href: file.url,
            target: '_blank',
            rel: 'noopener noreferrer'
          },
          !file.urlStyle && React__default.createElement('span', { className: file.icon }),
          file.isImage && React__default.createElement('div', { style: { backgroundImage: file.urlStyle } })
        );
      })
    ) : readyFiles().length === 1 && React__default.createElement(
      'a',
      {
        href: readyFiles()[0].url,
        target: '_blank',
        rel: 'noopener noreferrer'
      },
      !readyFiles()[0].urlStyle && React__default.createElement('span', { className: readyFiles()[0].icon }),
      readyFiles()[0].isImage && React__default.createElement('div', { style: { backgroundImage: readyFiles()[0].urlStyle } })
    )
  );
}

function MessageMap(props) {
  var file = {
    url: 'https://maps.googleapis.com/maps/api/staticmap?center=' + props.latitude + ',' + props.longitude + '&zoom=12&size=400x400&key=' + props.mapKey,
    type: 'image/png',
    icon: props.icon
  };
  return React__default.createElement(MessageFile, {
    sender: props.sender,
    message: props.message,
    date: props.date,
    files: [file]
  });
}

function MessageQuote(props) {
  return React__default.createElement(
    MessageQuoteStyle,
    null,
    (props.sender || props.date) && React__default.createElement(
      'p',
      { className: 'sender' },
      props.sender,
      ' ',
      React__default.createElement(
        'time',
        null,
        props.date
      )
    ),
    React__default.createElement(
      'p',
      { className: 'quote' },
      props.quote
    ),
    React__default.createElement(MessageText, { message: props.message })
  );
}

function Messages(props) {
  var scrollRef = React.useRef();
  React.useEffect(function () {
    scrollRef.current.scrollTo(0, scrollRef.current.scrollHeight);
  }, [props.messages]);
  var getMessageComponent = function getMessageComponent(msg) {
    switch (msg.type) {
      case 'file':
        return React__default.createElement(MessageFile, {
          sender: msg.sender,
          message: msg.message,
          date: msg.date,
          files: msg.files
        });
      case 'map':
        return React__default.createElement(MessageMap, {
          sender: msg.sender,
          message: msg.message,
          date: msg.date,
          latitude: msg.latitude,
          longitude: msg.longitude,
          mapKey: props.mapKey
        });
      case 'quote':
        return React__default.createElement(MessageQuote, {
          sender: msg.sender,
          message: msg.message,
          date: msg.date,
          quote: msg.quote
        });

      default:
        return React__default.createElement(MessageText, {
          sender: msg.sender,
          message: msg.message,
          date: msg.date
        });
    }
  };
  var getInitials = function getInitials(name) {
    if (name) {
      var names = name.split(' ');

      return names.map(function (n) {
        return n.charAt(0);
      }).splice(0, 2).join('').toUpperCase();
    }

    return '';
  };
  return React__default.createElement(
    'div',
    { className: 'scrollable', ref: scrollRef },
    React__default.createElement(
      'div',
      { className: 'messages' },
      props.messages.map(function (msg, index) {
        return React__default.createElement(
          MessageStyle,
          { reply: msg.reply, key: index },
          !msg.reply && React__default.createElement(
            'div',
            {
              className: 'avatar',
              style: { backgroundImage: 'url(' + msg.avatar + ')' }
            },
            !msg.avatar && getInitials(msg.sender)
          ),
          React__default.createElement(
            'div',
            { className: 'message' },
            getMessageComponent(msg)
          )
        );
      }),
      !props.messages.length && React__default.createElement(
        'p',
        { className: 'no-messages' },
        props.noMessages ? props.noMessages : 'No messages yet.'
      )
    )
  );
}
Messages.propTypes = {
  messages: PropTypes.arrayOf(PropTypes.shape({
    sender: PropTypes.string,
    message: PropTypes.string,
    date: PropTypes.string,
    files: PropTypes.arrayOf(PropTypes.shape({
      url: PropTypes.string,
      icon: PropTypes.string,
      type: PropTypes.string
    })),
    quote: PropTypes.string,
    latitude: PropTypes.number,
    longitude: PropTypes.number,
    avatar: PropTypes.string,
    type: PropTypes.oneOf(['text', 'file', 'map', 'quote'])
  }))
};

function ChatForm(props) {
  var _useState = React.useState(''),
      _useState2 = slicedToArray(_useState, 2),
      message = _useState2[0],
      setMessage = _useState2[1];

  var _useState3 = React.useState([]),
      _useState4 = slicedToArray(_useState3, 2),
      files = _useState4[0],
      setFiles = _useState4[1];

  var _useState5 = React.useState(false),
      _useState6 = slicedToArray(_useState5, 2),
      fileOver = _useState6[0],
      setFileOver = _useState6[1];

  var formRef = React.useRef();

  React.useEffect(function () {
    formRef.current.addEventListener('drop', onDropFile);
    formRef.current.addEventListener('dragover', onDragOver);
    formRef.current.addEventListener('dragleave', onDragLeave);
    return function () {
      formRef.current.removeEventListener('drop', onDropFile);
      formRef.current.removeEventListener('dragover', onDragOver);
      formRef.current.removeEventListener('dragleave', onDragLeave);
    };
  }, [files]);

  var onDragOver = function onDragOver() {
    setFileOver(true);
  };
  var onDragLeave = function onDragLeave() {
    setFileOver(false);
  };

  var onDropFile = function onDropFile(e) {
    if (props.dropFiles) {
      e.preventDefault();
      e.stopPropagation();

      setFileOver(false);

      if (e.dataTransfer && e.dataTransfer.files) {
        var droppedFiles = [].concat(toConsumableArray(files));

        var _loop = function _loop(file) {
          var res = file;

          if (props.imgDropTypes.includes(file.type)) {
            var fr = new FileReader();
            fr.onload = function (event) {
              res.src = event.target.result;
              res.urlStyle = 'url(' + res.src + ')';
            };

            fr.readAsDataURL(file);
          }
          droppedFiles.push(res);
        };

        var _iteratorNormalCompletion = true;
        var _didIteratorError = false;
        var _iteratorError = undefined;

        try {
          for (var _iterator = e.dataTransfer.files[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true) {
            var file = _step.value;

            _loop(file);
          }
        } catch (err) {
          _didIteratorError = true;
          _iteratorError = err;
        } finally {
          try {
            if (!_iteratorNormalCompletion && _iterator.return) {
              _iterator.return();
            }
          } finally {
            if (_didIteratorError) {
              throw _iteratorError;
            }
          }
        }

        setTimeout(function () {
          setFiles(droppedFiles);
        }, 500);
      }
    }
  };

  var removeFile = function removeFile(file) {
    var droppedFiles = [].concat(toConsumableArray(files));
    var index = droppedFiles.indexOf(file);
    if (index >= 0) {
      droppedFiles.splice(index, 1);
    }
    setFiles(droppedFiles);
  };

  var sendMessage = function sendMessage() {
    if (files.length || String(message).trim().length) {
      typeof props.onSend === 'function' && props.onSend({ message: message, files: files });
      setMessage('');
      setFiles([]);
    }
  };

  return React__default.createElement(
    'div',
    { className: 'form', ref: formRef },
    React__default.createElement(
      FormStyle,
      {
        fileOver: fileOver,
        buttonIcon: props.buttonIcon,
        showButton: props.showButton
      },
      React__default.createElement(
        'div',
        { className: 'dropped-files' },
        files.map(function (file, index) {
          return file.urlStyle ? React__default.createElement(
            'div',
            { key: index, style: { backgroundImage: file.urlStyle } },
            React__default.createElement(
              'span',
              { className: 'remove', onClick: function onClick() {
                  return removeFile(file);
                } },
              '\xD7'
            )
          ) : React__default.createElement(
            'div',
            { key: index, className: props.filesIcon },
            React__default.createElement(
              'span',
              { className: 'remove', onClick: function onClick() {
                  return removeFile(file);
                } },
              '\xD7'
            )
          );
        })
      ),
      React__default.createElement(
        'div',
        { className: 'message-row' },
        React__default.createElement('input', {
          type: 'text',
          value: message,
          onChange: function onChange(e) {
            return setMessage(e.target.value);
          },
          placeholder: fileOver ? props.fileOverPlaceholder : props.placeholder,
          onKeyUp: function onKeyUp(e) {
            e.preventDefault();
            if (e.key === 'Enter') {
              sendMessage();
            }
          }
        }),
        React__default.createElement(
          'button',
          { className: 'btn', onClick: sendMessage },
          props.buttonIcon ? React__default.createElement('span', { className: props.buttonIcon }) : props.buttonTitle
        )
      )
    )
  );
}
ChatForm.defaultProps = {
  imgDropTypes: ['image/png', 'image/jpeg', 'image/gif'],
  showButton: true,
  dropFiles: false,
  buttonTitle: 'Send',
  placeholder: 'Type a message',
  fileOverPlaceholder: 'Drop file to send'
};
ChatForm.propTypes = {
  imgDropTypes: PropTypes.array,
  message: PropTypes.string,
  buttonTitle: PropTypes.string,
  buttonIcon: PropTypes.string,
  showButton: PropTypes.bool,
  dropFiles: PropTypes.bool,
  onSend: PropTypes.func,
  placeholder: PropTypes.string,
  fileOverPlaceholder: PropTypes.string,
  filesIcon: PropTypes.string
};

/*
 * @license
 * Copyright OAH Technology. All Rights Reserved.
 * Licensed under the MIT License. See License.txt in the project root for license information.
 */

var badge = PropTypes.shape({
  status: colorState,
  title: PropTypes.string,
  position: position
});
var position = PropTypes.oneOf(['topRight', 'topLeft', 'bottomRight', 'bottomLeft', 'topStart', 'topEnd', 'bottomStart', 'bottomEnd']);

var colorState = PropTypes.oneOf(['Info', 'Success', 'Danger', 'Primary', 'Warning', 'Disabled']);

var placement = PropTypes.oneOf(['start', 'end', 'right', 'left', 'top', 'bottom']);

var trigger = PropTypes.oneOf(['click', 'hover', 'focus']);

var statusArray = ['Info', 'Success', 'Danger', 'Primary', 'Warning'];

var size = PropTypes.oneOf(['XXS', 'XS', 'SM', 'MD', 'LG', 'XL', 'XXL']);

var shape = PropTypes.oneOf(['Rectangle', 'SemiRound', 'Round']);

var itemType = {
  title: PropTypes.string.isRequired,
  link: PropTypes.any,
  expanded: PropTypes.bool,
  group: PropTypes.bool,
  hidden: PropTypes.bool,
  icon: PropTypes.string,
  target: PropTypes.string,
  url: PropTypes.string
};

var buttonTypes = {
  fullWidth: PropTypes.bool,
  hero: PropTypes.bool,
  outline: PropTypes.bool,
  pulse: PropTypes.bool,
  size: PropTypes.oneOf(['XS', 'SM', 'MD', 'LG']),
  shape: shape,
  status: PropTypes.oneOf([].concat(statusArray, ['Secondary']))
};

function Chat(props) {
  return React__default.createElement(
    ChatStyle,
    props,
    React__default.createElement(
      'header',
      null,
      props.title
    ),
    props.children
  );
}
Chat.defaultProps = {
  size: 'LG',
  status: 'Primary'
};
Chat.propTypes = {
  title: PropTypes.string,
  size: size,
  status: colorState
};

exports.Chat = Chat;
exports.ChatMessages = Messages;
exports.ChatForm = ChatForm;
