'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var styled = require('styled-components');
var styled__default = _interopDefault(styled);

var taggedTemplateLiteral = function (strings, raw) {
  return Object.freeze(Object.defineProperties(strings, {
    raw: {
      value: Object.freeze(raw)
    }
  }));
};

var _templateObject = taggedTemplateLiteral(['\n  display: flex;\n  flex-direction: column;\n  flex: 1 1 auto;\n  overflow: auto;\n'], ['\n  display: flex;\n  flex-direction: column;\n  flex: 1 1 auto;\n  overflow: auto;\n']),
    _templateObject2 = taggedTemplateLiteral(['\n  ', '\n'], ['\n  ', '\n']),
    _templateObject3 = taggedTemplateLiteral(['\n    border-bottom: 1px solid ', ';\n    padding: ', ';\n    flex-shrink: 0;\n\n    &:first-child {\n      border-top: 1px solid ', ';\n    }\n  '], ['\n    border-bottom: 1px solid ', ';\n    padding: ', ';\n    flex-shrink: 0;\n\n    &:first-child {\n      border-top: 1px solid ', ';\n    }\n  ']);

var List = styled__default.div(_templateObject);
var ListItem = styled__default.div(_templateObject2, function (_ref) {
  var theme = _ref.theme;
  return styled.css(_templateObject3, theme.listItemBorderColor, theme.listItemPadding, theme.listItemBorderColor);
});

exports.List = List;
exports.ListItem = ListItem;
